Skip to main content
`Ctrl`+`K`

# FastCsv

class astropy.io.ascii.FastCsv(**kwargs)

  Bases: `FastBasic`

  A faster version of the ordinary `Csv` writer that uses the optimized C parsing engine. Note that this reader will append empty field values to the end of any row with not enough columns, while `FastBasic` simply raises an error.

  Attributes Summary

  `fill_extra_cols` |

  Methods Summary

  `write`(table, output) | Override the default write method of `FastBasic` to output masked values as empty fields.

  Attributes Documentation

  fill_extra_cols = True

  Methods Documentation

  write(table, output)

    Override the default write method of `FastBasic` to output masked values as empty fields.